# Created by pyp2rpm-3.2.2
%global pypi_name mps-youtube

Name:           python-%{pypi_name}
Version:        0.2.7.1
Release:        1%{?dist}
Summary:        Terminal based YouTube player and downloader

License:        None
URL:            http://github.com/np1/mps-youtube
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
mpsyoutube Features Search and play audio/video from YouTube Search tracks of
albums by album title Search and import YouTube playlists Create and save local
playlists Download audio/video Convert to mp3 & other formats (requires ffmpeg
or avconv) View video comments Works with Python 3.x Works with Windows, Linux
and Mac OS X Requires mplayer or mpvThis project is based on mps < a
terminal...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Conflicts:      python3-pafy = 0.4.2
Conflicts:      python3-pafy = 0.4.0
Conflicts:      python3-pafy = 0.4.1
Requires:       python3-pafy >= 0.3.82
Requires:       python3-setuptools
Requires:       python3-dbus
Requires:       python3-gobject
%description -n python3-%{pypi_name}
mpsyoutube Features Search and play audio/video from YouTube Search tracks of
albums by album title Search and import YouTube playlists Create and save local
playlists Download audio/video Convert to mp3 & other formats (requires ffmpeg
or avconv) View video comments Works with Python 3.x Works with Windows, Linux
and Mac OS X Requires mplayer or mpvThis project is based on mps < a
terminal...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
cp %{buildroot}/%{_bindir}/mpsyt %{buildroot}/%{_bindir}/mpsyt-%{python3_version}
ln -s %{_bindir}/mpsyt-%{python3_version} %{buildroot}/%{_bindir}/mpsyt-3


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/mpsyt
%{_bindir}/mpsyt-3
%{_bindir}/mpsyt-%{python3_version}
%{_datadir}/applications/mps-youtube.desktop
%{python3_sitelib}/mps_youtube
%{python3_sitelib}/mps_youtube-%{version}-py?.?.egg-info

%changelog
* Wed Jan 31 2018 Nathan Moos <moosingin3space@gmail.com> - 0.2.7.1-1
- Initial package.
